;;   mew-os2-ct.el  - sub-module for MIME, under OS/2 environment


 (defconst mew-os2-ct/version "mew-os2-ct.el v0.08")

 (if (featurep 'mule) (require 'os2-process))

(setq mew-mime-content-type (append
 (list
 ;; Audio
   (list 
    "audio/x-wav"
    "\\.wav$"
    "base64"
    '("mew-mime.cmd" ("audio/x-wav") t)
    (if (boundp 'mew-icon-audio) mew-icon-audio)
    )
   (list 
    "audio/x-aiff"
    "\\.aif?f$"
    "base64"
    '("mew-mime.cmd" ("audio/x-aiff") t)
    (if (boundp 'mew-icon-audio) mew-icon-audio)
    )
   (list 
    "audio/x-midi"
    "\\.midi?$"
    "base64"
    '("mew-mime.cmd" ("audio/x-midi") t)
    (if (boundp 'mew-icon-audio) mew-icon-audio)
    )
 ;; Image
   (list
    "image/x-os2-bmp"
    "\\.bmp$"
    "base64"
      '("mew-mime.cmd" ("image/x-os2-bmp") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/tiff"
    "\\.tif?f$"
    "base64"
      '("mew-mime.cmd" ("image/tiff") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-tiff"
    "\\.tif?f$"
    "base64"
      '("mew-mime.cmd" ("image/tiff") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-pic"
    "\\.pic$"
    "base64"
      '("mew-mime.cmd" ("image/x-pic") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-pcx"
    "\\.pcx$"
    "base64"
      '("mew-mime.cmd" ("image/x-pcx") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-prm"
    "\\.prm$"
    "base64"
      '("mew-mime.cmd" ("image/x-prm") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-pgm"
    "\\.pgm$"
    "base64"
      '("mew-mime.cmd" ("image/x-pgm") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-xpm"
    "\\.xpm$"
    "base64"
      '("mew-mime.cmd" ("image/x-xpm") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
   (list
    "image/x-os2-meta"
    "\\.meta?$"
    "base64"
      '("mew-mime.cmd" ("image/x-os2-meta") t)
    (if (boundp 'mew-icon-image) mew-icon-image)
    )
 ;; Movie
   (list
    "video/x-msvideo"
    "\\.avi$"
    "base64"
    '("mew-mime.cmd" ("video/x-msvideo") t)
    (if (boundp 'mew-icon-video) mew-icon-video)
    )
   (list
    "video/quicktime"
    "\\.mov$"
    "base64"
    '("mew-mime.cmd" ("video/quicktime") t)
    (if (boundp 'mew-icon-video) mew-icon-video)
    )
 ;; misc (archive,pdf,mac)
   (list
    "application/octet-stream"
    "\\.lzh$"
    "base64"
    '(mew-mime-application/octet-stream () nil)
    (if (boundp 'mew-icon-application/octet-stream) 
	mew-icon-application/octet-stream)
    )
   (list
    "application/octet-stream"
    "\\.zip$"
    "base64"
    '(mew-mime-application/octet-stream () nil)
    (if (boundp 'mew-icon-application/octet-stream) 
	mew-icon-application/octet-stream)
    )
   (list
    "application/octet-stream"
    "\\.arj$"
    "base64"
    '(mew-mime-application/octet-stream () nil)
    (if (boundp 'mew-icon-application/octet-stream) 
	mew-icon-application/octet-stream)
    )
   (list
    "application/octet-stream"
    "\\.zoo$"
    "base64"
    '(mew-mime-application/octet-stream () nil)
    (if (boundp 'mew-icon-application/octet-stream) 
	mew-icon-application/octet-stream)
    )
   (list
    "application/pdf"
    "\\.pdf$"
    "base64"
    '("mew-mime.cmd" ("application/pdf") t)
    (if (boundp 'mew-icon-application/postscript) 
	mew-icon-application/postscript)
    )
   (list
    "application/mac-binhex40"
    "\\.hqx$"
    "base64"
    '("mew-mime.cmd" ("application/mac-binhex40") t)
    (if (boundp 'mew-icon-application/octet-stream) 
	mew-icon-application/octet-stream)
    )
   (list
    "application/x-os2-inf"
    "\\.inf$"
    "base64"
    '(mew-mime-application/x-os2-inf () nil)
    (if (boundp 'mew-icon-application/octet-stream)
	mew-icon-application/octet-stream)
    )
   (list
    "application/x-os2-hlp"
    "\\.hlp$"
    "base64"
    '(mew-mime-application/x-os2-hlp () nil)
    (if (boundp 'mew-icon-application/octet-stream)
	mew-icon-application/octet-stream)
    )
   (list
    "text/x-rot13-47"
    "\\.rot$"
    nil
    '(mew-mime-text/x-rot13-47 () nil)
   (if (boundp 'mew-icon-text) mew-icon-text)
   )
 ) mew-mime-content-type ))


(add-hook 'mew-init-hook
 (function (lambda ()
  (setq mew-mime-content-type-list (append
   '("application/pdf"            ;; ??? text ???
     "application/mac-hexbin40"
     "application/x-os2-inf"
     "application/x-os2-hlp"
     "image/tiff" "image/x-tiff"
     "image/x-pcx" "image/x-pic" "image/x-xpm"
     "image/x-prm" "image/x-pgm" "image/x-os2-meta"
     "audio/x-wav" "audio/x-aiff" "audio/x-midi"
     "video/x-msvideo" "video/quicktime")
     mew-mime-content-type-list))
 )))

;;; End
 (provide 'mew-os2-ct)
